cdac.medinfo.model

## Class Plan

- java.lang.Object
- - cdac.medinfo.model.Plan

-     public class Plan
      extends java.lang.Object

  This class specify Plan Section Details. The plan of care section contains data defining pending orders, interventions, encounters, services, and procedures for the patient.

  This class has the following attributes:

  1. Planned Activity (String)
  2. Planned Date (EffectiveDateTime)
  3. Plan Of Care Activity Name (String)
  4. Activity Mood Code (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Plan()` Constructs an object of Plan.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActivityMoodCode()` Returns the Activity Mood Code.
    `java.lang.String` | `getPlannedActivity()` Returns the Planned Activity.
    `EffectiveDateTime` | `getPlannedDate()` Returns the Date of Planned Activity.
    `java.lang.String` | `getPlanOfCareActivityName()` Returns the Plan of Care Activity Name.
    `void` | `setActivityMoodCode(java.lang.String activityMoodCode)` Sets the Activity Mood Code.
    `void` | `setPlannedActivity(java.lang.String plannedActivity)` Sets the Planned Activity.
    `void` | `setPlannedDate(EffectiveDateTime plannedDate)` Sets the Date of Planned Activity.
    `void` | `setPlanOfCareActivityName(java.lang.String planOfCareActivityName)` Sets the Plan of Care Activity Name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Plan

          public Plan()

      Constructs an object of Plan.

  - ### Method Detail

    - #### getPlanOfCareActivityName

          public java.lang.String getPlanOfCareActivityName()

      Returns the Plan of Care Activity Name.
      Returns:
        the planOfCareActivityName

    - #### setPlanOfCareActivityName

          public void setPlanOfCareActivityName(java.lang.String planOfCareActivityName)

      Sets the Plan of Care Activity Name.
      Parameters:
        `planOfCareActivityName` - Specifies the Plan of Care Activity Name.

    - #### getActivityMoodCode

          public java.lang.String getActivityMoodCode()

      Returns the Activity Mood Code.
      Returns:
        the activityMoodCode

    - #### setActivityMoodCode

          public void setActivityMoodCode(java.lang.String activityMoodCode)

      Sets the Activity Mood Code.
      Parameters:
        `activityMoodCode` - Specifies the Activity Mood Code.

    - #### getPlannedActivity

          public java.lang.String getPlannedActivity()

      Returns the Planned Activity.
      Returns:
        the plannedActivity

    - #### setPlannedActivity

          public void setPlannedActivity(java.lang.String plannedActivity)

      Sets the Planned Activity.
      Parameters:
        `plannedActivity` - Specifies the Planned Activity.

    - #### getPlannedDate

          public EffectiveDateTime getPlannedDate()

      Returns the Date of Planned Activity.
      Returns:
        the plannedDate

    - #### setPlannedDate

          public void setPlannedDate(EffectiveDateTime plannedDate)

      Sets the Date of Planned Activity.
      Parameters:
        `plannedDate` - Specifies the Date of Planned Activity.